This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479659 - 64-bit Fedora10 ppc is installing 32-bit Systemtap package
64-bit Fedora10 ppc is installing 32-bit Systemtap package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
10
ppc64 All
low Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 06:52 EST by IBM Bug Proxy
Modified: 2013-01-10 00:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:35:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2009-01-12 06:52:10 EST
=Comment: #0=================================================
Pavan Naregundi <pavan.naregundi@in.ibm.com> - 
Freshly installed Fedora10 ppc64 installs 32-bit Systemtap package eventhough F10 iso is shipped
with 64-bit  packages of systemtap.

[root@JS21 ~]# cat /etc/issue
Fedora release 10 (Cambridge)
Kernel \r on an \m (\l)

/* Here, yum repo is configured only for F10 DVD iso */
[root@JS21 ~]# yum list | grep "systemtap"
systemtap.ppc                       0.8-1.fc10                         installed
systemtap-runtime.ppc               0.8-1.fc10                         installed
systemtap.ppc64                     0.8-1.fc10                         fedora   
systemtap-runtime.ppc64             0.8-1.fc10                         fedora   


[root@JS21 ~]# uname -a
Linux JS21.in.ibm.com 2.6.27.5-117.fc10.ppc64 #1 SMP Tue Nov 18 11:46:31 EST 2008 ppc64 ppc64 ppc64
GNU/Linux
[root@JS21 ~]#
=Comment: #1=================================================
Mahesh J. Salgaonkar <mahesh@linux.vnet.ibm.com> - 
can you please let me know what do you get when you run following command:

python -c "import rpmUtils.arch; print rpmUtils.arch.getBestArch()"


=Comment: #3=================================================
Pavan Naregundi <pavan.naregundi@in.ibm.com> - 
(In reply to comment #1)
> can you please let me know what do you get when you run following command:
> 
> python -c "import rpmUtils.arch; print rpmUtils.arch.getBestArch()"
> 

[root@JS21 ~]# python -c "import rpmUtils.arch; print rpmUtils.arch.getBestArch()"
ppc
[root@JS21 ~]#
Comment 1 Frank Ch. Eigler 2009-01-12 07:28:10 EST
The -runtime package is supposed to match the bitness of the
kernel; the plain systemtap package can be either 32- or 64-bit.
Comment 2 IBM Bug Proxy 2009-02-09 04:21:16 EST
In fedora 11 Alpha I could see same status

$ yum list | grep "systemtap"
systemtap.ppc                       0.8-1.fc11                         installed
systemtap-runtime.ppc               0.8-1.fc11                         installed
systemtap.ppc64                     0.8-1.fc11                         fedora
systemtap-runtime.ppc64             0.8-1.fc11                         fedora
Comment 3 IBM Bug Proxy 2009-02-09 04:30:48 EST
Pavan,
We've had similar issues with RHEL earlier. The problem here is that on a powerpc machine running 64bit kernel, the userspace is still 32bit. Possibly that is leading to the install of 32bit rpms. One needs to figure out what is the yum/rpm magic (if any) that caused the correct rpms to be installed on EL kernels and make sure that is fixed similarly on FedoraX
Comment 4 Frank Ch. Eigler 2009-03-19 12:16:22 EDT
I believe we can only do two things in systemtap proper to fix this:
- put ExcludeArch: into the .spec file to exclude 32-bit ppc from the builds,
  but we received complaints about that
- implement systemtap PR 4037, to make systemtap-runtime natively bi-arch-capable,
  but that's a fair bit of work

So it would be nice if the the distro packaging files were instead changed
to include the ppc64 builds of systemtap in ppc64 kernels/distros.

Are there additional options?  Like .spec-level conflicts?
Comment 5 Jesse Keating 2009-03-19 12:37:54 EDT
That won't work because there is only one ppc tree, it is used for both ppc64 installs /and/ ppc installs.  To exclude the .ppc version would mean that you'd be unable to run systemtap on ppc hosts.
Comment 6 IBM Bug Proxy 2009-11-04 05:51:56 EST
------- Comment From pavan.naregundi@in.ibm.com 2009-11-04 05:43 EDT-------
Systemtap is still installing 32bit package on latest Fedora12 rawhide. Did we settle at any workaround for this issue?
Comment 7 Frank Ch. Eigler 2009-11-17 19:52:37 EST
It turns out that 32-bit systemtap (including staprun/stapio) builds
already appear to work correctly on 64-bit kernels, so we're about to
close systemtap PR4037.  Please check whether this old ppc concern
is mooted by actual code behavior.
Comment 8 Bug Zapper 2009-11-18 05:44:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 IBM Bug Proxy 2009-11-20 03:40:39 EST
------- Comment From pavan.naregundi@in.ibm.com 2009-11-20 03:33 EDT-------
Ran 32-bit systemtap test on F12-ppc64 and it is running fine. Here are the results for the run,

=== systemtap Summary ===

# of expected passes		783
# of unexpected failures	71
# of unexpected successes	8
# of expected failures		205
# of unknown successes		1
# of known failures		5
# of untested testcases		39
# of unsupported tests		4

Also test the 32-bit stap with the patch mentioned in comment #4 of PR4037. Result remained the same.

# rpm -qa | grep systemtap
systemtap-sdt-devel-1.0-2.fc12.ppc
systemtap-1.0-2.fc12.ppc
systemtap-runtime-1.0-2.fc12.ppc
systemtap-testsuite-1.0-2.fc12.ppc
systemtap-debuginfo-1.0-2.fc12.ppc
Comment 10 Bug Zapper 2009-12-18 02:35:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.